<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus GSIFTP Control Connection API</title>
    <filename>main</filename>
  </compound>
  <compound kind="file">
    <name>globus_ftp_control.c</name>
    <path>/builddir/build/BUILD/globus_ftp_control-2.10/</path>
    <filename>globus__ftp__control_8c</filename>
    <member kind="variable">
      <type>int</type>
      <name>globus_i_ftp_control_debug_level</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>globus_ftp_control.h</name>
    <path>/builddir/build/BUILD/globus_ftp_control-2.10/</path>
    <filename>globus__ftp__control_8h</filename>
    <class kind="struct">globus_ftp_control_dcau_subject_s</class>
    <class kind="struct">globus_ftp_control_round_robin_s</class>
    <class kind="union">globus_ftp_control_dcau_u</class>
    <class kind="union">globus_ftp_control_layout_u</class>
    <class kind="union">globus_ftp_control_parallelism_u</class>
    <class kind="struct">globus_ftp_control_tcpbuffer_default_t</class>
    <class kind="struct">globus_ftp_control_tcpbuffer_fixed_t</class>
    <class kind="struct">globus_ftp_control_tcpbuffer_automatic_s</class>
    <class kind="union">globus_ftp_control_tcpbuffer_t</class>
    <class kind="struct">globus_ftp_control_auth_info_s</class>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CONTROL_MODULE</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>enum globus_ftp_control_type_e</type>
      <name>globus_ftp_control_type_t</name>
      <anchor>a13</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>enum globus_ftp_control_mode_e</type>
      <name>globus_ftp_control_mode_t</name>
      <anchor>a14</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>enum globus_ftp_control_dcau_mode_e</type>
      <name>globus_ftp_control_dcau_mode_t</name>
      <anchor>a15</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_ftp_control_dcau_subject_s</type>
      <name>globus_ftp_control_dcau_subject_t</name>
      <anchor>a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>enum globus_ftp_control_striping_mode_e</type>
      <name>globus_ftp_control_striping_mode_t</name>
      <anchor>a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_ftp_control_round_robin_s</type>
      <name>globus_ftp_control_round_robin_t</name>
      <anchor>a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_ftp_control_dcau_u</type>
      <name>globus_ftp_control_dcau_t</name>
      <anchor>a20</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_ftp_control_layout_u</type>
      <name>globus_ftp_control_layout_t</name>
      <anchor>a21</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>enum globus_ftp_control_structure_e</type>
      <name>globus_ftp_control_structure_t</name>
      <anchor>a22</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>enum globus_ftp_control_parallelism_mode_e</type>
      <name>globus_ftp_control_parallelism_mode_t</name>
      <anchor>a23</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_ftp_control_parallelism_u</type>
      <name>globus_ftp_control_parallelism_t</name>
      <anchor>a26</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>enum globus_ftp_control_tcpbuffer_mode_e</type>
      <name>globus_ftp_control_tcpbuffer_mode_t</name>
      <anchor>a31</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_ftp_control_tcpbuffer_automatic_s</type>
      <name>globus_ftp_control_tcpbuffer_automatic_t</name>
      <anchor>a32</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_ftp_control_tcpbuffer_t</type>
      <name>globus_ftp_control_tcpbuffer_t</name>
      <anchor>a33</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_ftp_control_auth_info_s</type>
      <name>globus_ftp_control_auth_info_t</name>
      <anchor>a36</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_control_response_callback_t</name>
      <anchor>a37</anchor>
      <arglist>)(void *callback_arg, struct globus_ftp_control_handle_s *handle, globus_object_t *error, globus_ftp_control_response_t *ftp_response)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_control_callback_t</name>
      <anchor>a38</anchor>
      <arglist>)(void *callback_arg, struct globus_ftp_control_handle_s *handle, globus_object_t *error)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_control_command_callback_t</name>
      <anchor>a40</anchor>
      <arglist>)(void *callback_arg, struct globus_ftp_control_handle_s *handle, globus_object_t *error, union globus_ftp_control_command_u *command)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_control_auth_callback_t</name>
      <anchor>a41</anchor>
      <arglist>)(void *callback_arg, struct globus_ftp_control_handle_s *handle, globus_object_t *error, globus_ftp_control_auth_info_t *auth_result)</arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>globus_ftp_control_auth_requirements_t</name>
      <anchor>a42</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_control_data_callback_t</name>
      <anchor>a49</anchor>
      <arglist>)(void *callback_arg, globus_ftp_control_handle_t *handle, globus_object_t *error, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_control_server_callback_t</name>
      <anchor>a51</anchor>
      <arglist>)(void *callback_arg, struct globus_ftp_control_server_s *server_handle, globus_object_t *error)</arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_control_type_e</name>
      <anchor>a243</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_control_mode_e</name>
      <anchor>a244</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_control_dcau_mode_e</name>
      <anchor>a245</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_control_striping_mode_e</name>
      <anchor>a246</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_control_protection_t</name>
      <anchor>a247</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_control_delay_passive_t</name>
      <anchor>a248</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_control_structure_e</name>
      <anchor>a249</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_control_parallelism_mode_e</name>
      <anchor>a250</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_control_tcpbuffer_mode_e</name>
      <anchor>a252</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CONTROL_TCPBUFFER_DEFAULT</name>
      <anchor>a252a138</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CONTROL_TCPBUFFER_FIXED</name>
      <anchor>a252a139</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CONTROL_TCPBUFFER_AUTOMATIC</name>
      <anchor>a252a140</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_layout</name>
      <anchor>a209</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_layout_t *layout, globus_size_t data_size)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_set_interface</name>
      <anchor>a211</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, const char *interface_addr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_create_data_info</name>
      <anchor>a227</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_data_write_info_t *data_info, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof, globus_ftp_control_data_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_release_data_info</name>
      <anchor>a228</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_data_write_info_t *data_info)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_write_stripe</name>
      <anchor>a229</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof, int stripe_ndx, globus_ftp_control_data_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_X_ftp_control_data_write_stripe</name>
      <anchor>a230</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof, int stripe_ndx, globus_ftp_control_data_write_info_t *data_info)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>globus_ftp_control_client.c</name>
    <path>/builddir/build/BUILD/globus_ftp_control-2.10/</path>
    <filename>globus__ftp__control__client_8c</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_handle_init</name>
      <anchor>a18</anchor>
      <arglist>(globus_ftp_control_handle_t *handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_handle_destroy</name>
      <anchor>a19</anchor>
      <arglist>(globus_ftp_control_handle_t *handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_connect</name>
      <anchor>a23</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, char *host, unsigned short port, globus_ftp_control_response_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_response_destroy</name>
      <anchor>a24</anchor>
      <arglist>(globus_ftp_control_response_t *response)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_response_copy</name>
      <anchor>a25</anchor>
      <arglist>(globus_ftp_control_response_t *src, globus_ftp_control_response_t *dest)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_authenticate</name>
      <anchor>a26</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_auth_info_t *auth_info, globus_bool_t use_auth, globus_ftp_control_response_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_send_command</name>
      <anchor>a27</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, const char *cmdspec, globus_ftp_control_response_callback_t callback, void *callback_arg,...)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_abort</name>
      <anchor>a28</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_response_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_quit</name>
      <anchor>a29</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_response_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_force_close</name>
      <anchor>a31</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_response_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_auth_info_init</name>
      <anchor>a33</anchor>
      <arglist>(globus_ftp_control_auth_info_t *auth_info, gss_cred_id_t credential_handle, globus_bool_t encrypt, char *user, char *password, char *account, char *subject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_ftp_control_auth_info_compare</name>
      <anchor>a34</anchor>
      <arglist>(globus_ftp_control_auth_info_t *auth_info_1, globus_ftp_control_auth_info_t *auth_info_2)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>globus_ftp_control_data.c</name>
    <path>/builddir/build/BUILD/globus_ftp_control-2.10/</path>
    <filename>globus__ftp__control__data_8c</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_connect_read</name>
      <anchor>a85</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_data_connect_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_set_interface</name>
      <anchor>a86</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, const char *interface_addr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_connect_write</name>
      <anchor>a87</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_data_connect_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_add_channels</name>
      <anchor>a88</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, unsigned int num_channels, unsigned int stripe_ndx)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_send_eof</name>
      <anchor>a89</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, int count[], int array_size, globus_bool_t eof_message, globus_ftp_control_callback_t cb, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_remove_channels</name>
      <anchor>a90</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, unsigned int num_channels, unsigned int stripe_ndx)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_query_channels</name>
      <anchor>a91</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, unsigned int *num_channels, unsigned int stripe_ndx)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_get_total_data_channels</name>
      <anchor>a92</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, unsigned int *num_channels, unsigned int stripe_ndx)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_send_eof</name>
      <anchor>a94</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_bool_t send_eof)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_parallelism</name>
      <anchor>a96</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_parallelism_t *parallelism)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_pasv</name>
      <anchor>a97</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_host_port_t *address)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_spas</name>
      <anchor>a98</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_host_port_t addresses[], unsigned int num_addresses)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_port</name>
      <anchor>a99</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_host_port_t *address)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_spor</name>
      <anchor>a101</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_host_port_t addresses[], unsigned int num_addresses)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_type</name>
      <anchor>a102</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_type_t type, int form_code)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_mode</name>
      <anchor>a105</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_mode_t mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_tcp_buffer</name>
      <anchor>a106</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_tcpbuffer_t *tcp_buffer)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_dcau</name>
      <anchor>a108</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, const globus_ftp_control_dcau_t *dcau, gss_cred_id_t delegated_credential_handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_pbsz</name>
      <anchor>a112</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, unsigned long bufsize)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_get_pbsz</name>
      <anchor>a113</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, unsigned long *bufsize)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_stru</name>
      <anchor>a114</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_structure_t structure)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_write</name>
      <anchor>a115</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof, globus_ftp_control_data_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_read</name>
      <anchor>a117</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_byte_t *buffer, globus_size_t max_length, globus_ftp_control_data_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_layout</name>
      <anchor>a123</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_layout_t *layout, globus_size_t data_size)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_create_data_info</name>
      <anchor>a125</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_data_write_info_t *data_info, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof, globus_ftp_control_data_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_release_data_info</name>
      <anchor>a126</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_data_write_info_t *data_info)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_write_stripe</name>
      <anchor>a127</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof, int stripe_ndx, globus_ftp_control_data_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_X_ftp_control_data_write_stripe</name>
      <anchor>a128</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof, int stripe_ndx, globus_ftp_control_data_write_info_t *data_info)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_force_close</name>
      <anchor>a136</anchor>
      <arglist>(globus_ftp_control_handle_t *control_handle, globus_ftp_control_callback_t close_callback_func, void *close_arg)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>globus_ftp_control_layout.c</name>
    <path>/builddir/build/BUILD/globus_ftp_control-2.10/</path>
    <filename>globus__ftp__control__layout_8c</filename>
  </compound>
  <compound kind="file">
    <name>globus_ftp_control_server.c</name>
    <path>/builddir/build/BUILD/globus_ftp_control-2.10/</path>
    <filename>globus__ftp__control__server_8c</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_server_handle_init</name>
      <anchor>a8</anchor>
      <arglist>(globus_ftp_control_server_t *handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_server_handle_destroy</name>
      <anchor>a9</anchor>
      <arglist>(globus_ftp_control_server_t *handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_server_listen</name>
      <anchor>a10</anchor>
      <arglist>(globus_ftp_control_server_t *server_handle, unsigned short *port, globus_ftp_control_server_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_command_init</name>
      <anchor>a12</anchor>
      <arglist>(globus_ftp_control_command_t *command, char *raw_command, globus_ftp_control_auth_info_t *auth_info)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_command_destroy</name>
      <anchor>a13</anchor>
      <arglist>(globus_ftp_control_command_t *command)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_command_copy</name>
      <anchor>a14</anchor>
      <arglist>(globus_ftp_control_command_t *dest, globus_ftp_control_command_t *src)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_server_stop</name>
      <anchor>a15</anchor>
      <arglist>(globus_ftp_control_server_t *listener, globus_ftp_control_server_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_server_accept</name>
      <anchor>a17</anchor>
      <arglist>(globus_ftp_control_server_t *listener, globus_ftp_control_handle_t *handle, globus_ftp_control_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_server_authenticate</name>
      <anchor>a19</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_auth_requirements_t auth_requirements, globus_ftp_control_auth_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_read_commands</name>
      <anchor>a22</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_command_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_send_response</name>
      <anchor>a24</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, const char *respspec, globus_ftp_control_callback_t callback, void *callback_arg,...)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>globus_ftp_control_auth_info_s</name>
    <filename>structglobus__ftp__control__auth__info__s.html</filename>
  </compound>
  <compound kind="struct">
    <name>globus_ftp_control_dcau_subject_s</name>
    <filename>structglobus__ftp__control__dcau__subject__s.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_ftp_control_dcau_u</name>
    <filename>unionglobus__ftp__control__dcau__u.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_ftp_control_layout_u</name>
    <filename>unionglobus__ftp__control__layout__u.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_ftp_control_parallelism_u</name>
    <filename>unionglobus__ftp__control__parallelism__u.html</filename>
  </compound>
  <compound kind="struct">
    <name>globus_ftp_control_round_robin_s</name>
    <filename>structglobus__ftp__control__round__robin__s.html</filename>
  </compound>
  <compound kind="struct">
    <name>globus_ftp_control_tcpbuffer_automatic_s</name>
    <filename>structglobus__ftp__control__tcpbuffer__automatic__s.html</filename>
  </compound>
  <compound kind="struct">
    <name>globus_ftp_control_tcpbuffer_default_t</name>
    <filename>structglobus__ftp__control__tcpbuffer__default__t.html</filename>
  </compound>
  <compound kind="struct">
    <name>globus_ftp_control_tcpbuffer_fixed_t</name>
    <filename>structglobus__ftp__control__tcpbuffer__fixed__t.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_ftp_control_tcpbuffer_t</name>
    <filename>unionglobus__ftp__control__tcpbuffer__t.html</filename>
  </compound>
  <compound kind="page">
    <name>globus_ftp_extensions</name>
    <title>GridFTP: Protocol Extensions to FTP for the Grid</title>
    <filename>globus_ftp_extensions</filename>
    <docanchor file="globus_ftp_extensions">rfc2389</docanchor>
    <docanchor file="globus_ftp_extensions">refs</docanchor>
    <docanchor file="globus_ftp_extensions">opts</docanchor>
    <docanchor file="globus_ftp_extensions">SPOR</docanchor>
    <docanchor file="globus_ftp_extensions">rfc959</docanchor>
    <docanchor file="globus_ftp_extensions">ietfftpext</docanchor>
    <docanchor file="globus_ftp_extensions">DCAU</docanchor>
    <docanchor file="globus_ftp_extensions">SBUF</docanchor>
    <docanchor file="globus_ftp_extensions">sec_DCAU</docanchor>
    <docanchor file="globus_ftp_extensions">sec_SBUF</docanchor>
    <docanchor file="globus_ftp_extensions">sec_SPAS</docanchor>
    <docanchor file="globus_ftp_extensions">sec_OPTS</docanchor>
    <docanchor file="globus_ftp_extensions">sec_ESTO</docanchor>
    <docanchor file="globus_ftp_extensions">rfc2228</docanchor>
    <docanchor file="globus_ftp_extensions">sec_SPOR</docanchor>
    <docanchor file="globus_ftp_extensions">page_extensions</docanchor>
    <docanchor file="globus_ftp_extensions">mode_e</docanchor>
    <docanchor file="globus_ftp_extensions">ESTO</docanchor>
    <docanchor file="globus_ftp_extensions">Existing</docanchor>
    <docanchor file="globus_ftp_extensions">ERET</docanchor>
    <docanchor file="globus_ftp_extensions">appendix_i</docanchor>
    <docanchor file="globus_ftp_extensions">extensions_intro</docanchor>
    <docanchor file="globus_ftp_extensions">sec_ERET</docanchor>
    <docanchor file="globus_ftp_extensions">term</docanchor>
    <docanchor file="globus_ftp_extensions">SPAS</docanchor>
  </compound>
</tagfile>
